Skip to main content
GET
/
coupon
List Coupons
curl --request GET \
  --url https://uat-api.clinkbill.com/api/coupon \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-Timestamp: <api-key>'
{
  "total": 123,
  "rows": [
    {
      "couponId": "<string>",
      "couponName": "<string>",
      "percentage": 123,
      "fixedAmounts": {},
      "durationMonths": 123,
      "maxRedemptionCount": 123,
      "redeemedCount": 123,
      "validPeriodEnd": 1754819711382,
      "mirroring": true,
      "terms": "<string>"
    }
  ],
  "code": 200,
  "msg": "success"
}

Authorizations

X-API-KEY
string
header
required

Your secret API key obtained from the Clink dashboard (Developers section)

X-Timestamp
string
header
required

Current timestamp in milliseconds since Unix epoch (required for request signing)

Query Parameters

discountType
enum<string>

Discount type used to filter coupons

Available options:
percentage,
fixed_amount
durationType
enum<string>

Discount duration type used to filter coupons

Available options:
once,
repeating,
forever
pageNum
integer<int32>
default:1

Current page number. Defaults to 1.

pageSize
integer<int32>
default:20

Number of records per page. Defaults to 20. The maximum is 50; larger values are capped at 50.

Required range: x <= 50

Response

Coupons retrieved successfully

Table Paging Data Object

total
integer<int64>

Total number of records

rows
object[]

List of data

code
integer<int32>

Response status code, 200 when success

Example:

200

msg
string

Brief description of what happened, 'success' when happy case

Example:

"success"